Welcart2.8.1にしてからPAYPAL決済エラーが起きます

フォーラム 使い方全般 Welcart2.8.1にしてからPAYPAL決済エラーが起きます

  • このトピックには17件の返信、9人の参加者があり、最後にreno-creにより1ヶ月、 1週前に更新されました。
15件の投稿を表示中 - 1 - 15件目 (全18件中)
  • 投稿者
    投稿
  • #98597
    yawara
    参加者

    ——————————————-
    WordPress のバージョン:6.0.2
    Welcart のバージョン:2.8.1
    PHP のバージョン:7.4.28
    Welcart専用の拡張プラグインとバージョン:未使用
    ご利用の親テーマとバージョン :作成していただいた独自テーマ
    ご利用の子テーマとバージョン :作成していただいた独自子テーマ
    症状を確認したブラウザ:chrome
    サーバー【重要】:エクスサーバー スタンダードプラン
    ——————————————–

    初めましてこの度、WordPress のバージョン:6.0.2バージョンアップし、さらにWelcart のバージョンも2.8.1にしたところ、paypalでのクレジットカード決済でエラーが起きてしまいます。
    9月中旬(Welcart のバージョン:2.6.6 の状態でした)からpaypalのクレジットカード決済にて度々決済エラーが起きていましたが改善すると思いバージョンをあげても変わらない現状です。
    決済ログのエラー詳細は以下の通りです。
    **************************
    登録日 2022-10-07 08:29:41
    リンクキー 0210239969
    処理結果 GET ORDER ERROR
    **************************
    **************************
    登録日 2022-10-07 08:33:11
    リンクキー 5289398076
    処理結果 GET ORDER ERROR
    **************************

    クレジットカード決済ができなく困っております。
    どなたかご教示いただけますと幸いです。
    よろしくお願いいたします。

    #98601
    furuta
    キーマスター

    yawara 様

    こんにちは。
    弊社デモサイトでは症状は再現しておりませんが、先日

    Paypal の Paypalアカウントに接続を再度行ったら、動くようになった

    とのトピックをいただいています。恐れ入りますが、一度お試しいただけますでしょうか。

    #98602
    yawara
    参加者

    さっそくご返信ありがとうございました。
    一度Paypalアカウントに接続を再度行ってみます。

    また、それでも改善されない場合は
    「サーバースペック」の問題も考えたほうがよろしいでしょうか?
    現在エクスサーバーのスタンダードプランでかつsv10001以前のものを使っています。

    最新のものよりスペックが劣っているのかと考えられたので…
    お手数ですが、ご教示願います。

    #98611
    bomber
    参加者

    こんにちは。
    私のサイトでもyawaraさんと同様の症状が出ています。

    paypal_cp
    GET ORDER ERROR

    ログと注文状況をみてみると、PayPal決済で何らかのエラーが出て、別のクレジットカード決済(当方の場合クロネコWEBコレクト)に切り替えている方もいるようです。
    ただ、すべてのPayPal決済が不可でもなく、決済出来ている方もいます。

    「GET ORDER ERROR」が何のエラーなのか分かりませんが、クレジットカード会社に問い合わせをした利用者様に聞いたところ「PayPalでイオンカードの不正利用が多発していたためにセキュリティがかかりやすくなってる。その際はカード会社へ連絡して、ロックを解除してもらわないと利用できないようです。カード会社へ連絡を」とのことでした。

    私もPayPalに問い合わせをしましたが、資金受け取り側には問題はないとの回答でした。

    このトピックの方も似たような症状で様子を見るとのことなのでどうなったか気になっています。

    イオンカード以外でもそうだと思うのですが、PayPalでの不正利用の件でロックがかかりやすくなっているというのはあり得ると思っています。ただ、ロックがかかるのならクロネコでも決済できない気もします。PayPalだけのロックかもしれませんし、別のカードをクロネコで使った可能性もあります。

    私のサイトも2.8.1ですが、2.6付近で同様のエラーが少なかったとは思っていますが、それがwelcartのバージョンのせいなのかは検証していません。

    ちなみに私もエックスサーバーで、最新サーバー環境に移行しましたし、再接続?しましたが、症状は変わりません。

    なんにせよ「GET ORDER ERROR」がどういう内容なのかを知る必要があると思います。

    #98672
    monni
    参加者

    私の環境でも「GET ORDER ERROR」が頻発しております。
    今朝もあり、お客様からの問い合わせがあり、気づきました。

    登録日 2022-10-16 08:44:50
    リンクキー 7777839072
    処理結果 GET ORDER ERROR

    登録日 2022-10-16 08:44:50
    リンクキー 7777839072
    処理結果 GET ORDER ERROR

    ちなみに、私もエックスサーバーです。

    Version 2.6.11.2207251

    • この返信は1ヶ月、 3週前にmonniが編集しました。
    #98674
    ohno
    参加者

    ——————————————-
    WordPress のバージョン:6.0.2
    Welcart のバージョン:2.8.1
    PHP のバージョン:7.4 (8.0にするとテーマにエラーが生じるため)
    Welcart専用の拡張プラグインとバージョン:DL Seller 3.4.1 WCEX Coupon 1.2.5 (クーポンはエラーの可能性があるため、現在未使用)
    ご利用の親テーマとバージョン :Assertive 1.3.1
    ご利用の子テーマとバージョン :Assertive Child Theme 1.0
    症状を確認したブラウザ:Chrome
    サーバー【重要】:Conohaの一番高いプラン
    ——————————————–

    私も同じ症状で、PAYPAL決済エラーが多発しています。(GET ORDER ERROR)
    PHPを7.4に戻したので上手く行くと思いましたが、本日も3件のエラーが発生しています。

    jQuery Migrate Helperというプラグインで検証してみました。

    /wp-content/plugins/usc-e-shop//js/usces_admin.js: jQuery.fn.click() event shorthand is deprecated
    /wp-content/plugins/usc-e-shop/js/jquery/jquery.cookie.js: jQuery.isFunction() is deprecated
    とりあえず、WElcartの設定画面ではこのエラーが表示されています。

    jQuery.fn.scroll() event shorthand is deprecated テーマ: Welcart Assertive
    /wp-content/themes/welcart_assertive/assets/js/wcct-custome.js

    jQuery.fn.click() event shorthand is deprecated テーマ: Welcart Assertive
    /wp-content/themes/welcart_assertive/assets/js/wcct-custome.js
    そして、この2つが非推奨情報として表示されています。

    これらは関係ないでしょうか?

    2.7以降のデータベース更新前に戻そうにも、それ以降の銀行決済などでの売り上げもあり
    バックアップに戻そうにも戻せません。

    Welcartやテーマがバージョンアップされても、ずっとエラーが続出しているので
    (昨年までは一件もありませんでしたが)
    もうどうしたら良いものか、分かりません。

    解決のために、他の関係があるかも知れないプラグインはほとんど停止しましたが無駄でした。
    やはり、Welcartのバージョンアップが原因だと考えています。
    ※またはテーマ

    何とか解決して頂けないでしょうか?

    宜しくお願い致します。

    #98675
    ohno
    参加者

    追記致します。

    WooCommerceのサイトも経営しており、
    そちらでもPAYPAL決済を採用しています。

    そちらでは問題なく、決済出来ますから
    やはり
    Welcartのアップデート(またはテーマ)が原因だと考えています。

    #98677
    monni
    参加者

    弊社デモサイトでは症状は再現しておりませんが、先日

    Paypal の Paypalアカウントに接続を再度行ったら、動くようになった

    とのトピックをいただいています。恐れ入りますが、一度お試しいただけますでしょうか。

    リンク先で書かれていた対処法を試しましたが、結果変わらずです、またエラーが届きました。

    登録日 2022-10-16 11:23:53
    リンクキー 4301416327
    処理結果 GET ORDER ERROR

    一旦、Paypalを止めて、運用しています。
    原因は何でしょうか。解決を望んでおります。

    #98678
    yoiko
    参加者

    横から失礼いたします。
    私の所では、ここ数ヶ月エラーは無かったのですが、ここ数日エラーが頻発しています。(GET ORDER ERROR)
    ただしバージョンは2.6.9です。
    サーバーはロリポップのハイスピードプランです。

    #98691
    bonbon
    参加者

    バージョンアップのタイミングかどうかは分かりませんが、私のサイトでも同様に「PayPalクレジットカード決済ができない」との連絡が爆発的に急増しています。
    メール履歴を確認したところ、同様の問い合わせは過去には全くありませんでしたが、9月26日から突然発生しはじめています。
    直近の決済エラーログを確認したところ、1日5~10件ほどのGET ORDER ERRORが発生しています。
    あまりにもお客様からの同様の連絡が多いため、「何か問題が発生しているのか?」とPayPalに問い合わせをしたところ、PayPalのシステムや当方の受け取り側アカウントには問題は起きていないとの回答でした。
    WELCARTのバージョンは2.8.1です。

    #98699
    ikeda
    キーマスター

    ご報告ありがとうございます。
    Welcart のバージョンやサーバーなどご利用環境が異なるようですので
    今のところ原因の特定に至っておりません。

    「GET ORDER ERROR」の決済エラーログの「詳細」はどのように表示されていますでしょうか。
    どなたか共有いただけますと幸いです。

    #98703
    yawara
    参加者

    最初に投稿したものです。
    私も9/25前後から GET ORDER ERROR が多発しております。
    決済エラーログの「詳細」を開くと画像の通りとなります。GET ORDER ERRORとだけ書かれております。

    ——————————————-
    WordPress のバージョン:6.0.2
    Welcart のバージョン:2.8.1
    PHP のバージョン:7.4.28
    Welcart専用の拡張プラグインとバージョン:未使用
    ご利用の親テーマとバージョン :作成していただいた独自テーマ
    ご利用の子テーマとバージョン :作成していただいた独自子テーマ
    症状を確認したブラウザ:chrome
    サーバー【重要】:エクスサーバー スタンダードプラン
    ——————————————–

    Attachments:
    You must be logged in to view attached files.
    #98705
    reno-cre
    モデレーター

    横から失礼いたします。
    弊社もアップデート後、paypalで同様のエラーが続発しております。
    エラーログを見ても詳細は不明です。 エラーコードはありません。
    paypal側の管理画面にもなにも表示されていないと事(クライアント談
    利用者からは、不正確ですが、Wi-Fiでなく4G回線でスマホから支払ったら決済できたという報告もあったようです。
    同じカードども前回は決済できたのに今回はダメだったといったことがあるようです。
    利用サーバーはXサーバーです。
    サーバーの設定でチェックするべきは、サーバーキャッシュ設定、WAF、ワードプレスセキュリティアタリの項目をOFFにするなどチェックしているところです。

    #98715
    ikeda
    キーマスター

    GET ORDER ERROR エラーログの詳細ご連絡いただきありがとうございます。

    GET ORDER ERROR エラーで購入できなかったお客様について、
    使用ブラウザや使用デバイスが分かる方はいらっしゃいますでしょうか。

    引き続き調査しておりますので、情報共有にご協力いただけますと幸いです。

    #98716
    reno-cre
    モデレーター

    直近のERRORを起こしたアクセスログを添付致します。

    http://www.XXXXXXXX.com xxx.xxx.xxx.xxx – – [18/Oct/2022:19:13:35 +0900] “POST /usces-cart/ HTTP/2.0” 302 0 “https://www.XXXXXXXX.com/usces-cart/” “Mozilla/5.0 (Linux; Android 10; CPH2099) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Mobile Safari/537.36”

    http://www.XXXXXXXX.com xxx.xxx.xxx.xxx – – [18/Oct/2022:19:13:36 +0900] “GET /usces-cart/?acting=paypal_cp&acting_return=0&result=0 HTTP/2.0” 200 10012 “https://www.XXXXXXXX.com/usces-cart/” “Mozilla/5.0 (Linux; Android 10; CPH2099) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Mobile Safari/537.36”

15件の投稿を表示中 - 1 - 15件目 (全18件中)
  • このトピックに返信するにはログインが必要です。